var viewHelpers = {
	a: function(href,text,target) {
		target = target || '_self';
		return "<a href='"+href+"' target='"+target+"'>"+text+"</a>";
	},
	strong: function(text) {
		return "<strong>"+text+"</strong>";
	},
	title: function(text) {
		text = text || '';
		if (text.length > 0) {
			text = text + ' | ';
		}
		text += 'Digital Solutions Agency | Melbourne | Inlight';
		return '<title>' + text + '</title>';
	},
	rssDate: function(date) {
		function GetRFC822Date(oDate) {
			var aMonths = new Array("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec");
			var aDays = new Array( "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat");
			var dtm = '';

			dtm = aDays[oDate.getDay()] + ", ";
			dtm += padWithZero(oDate.getDate()) + " ";
			dtm += aMonths[oDate.getMonth()] + " ";
			dtm += oDate.getFullYear() + " ";
			dtm += padWithZero(oDate.getHours()) + ":";
			dtm += padWithZero(oDate.getMinutes()) + ":";
			dtm += padWithZero(oDate.getSeconds()) + " " ;
			dtm += "+1100";
			return dtm;
		}
		function padWithZero(val) {
			if (parseInt(val, 10) < 10) {
				return "0" + val;
			}
			return val;
		}
		return GetRFC822Date(date);
	}
};

module.exports = viewHelpers;